Package twisted :: Package spread :: Module refpath :: Class PathReferenceAcquisitionContext

[show private | hide private]
[frames | no frames]

## Class PathReferenceAcquisitionContext

    PathReferenceContext --+
                           |
                          PathReferenceAcquisitionContext

Method Summary
| `__init__(self, request, path)`
| ``__getattr__`(self, name)` We need to delegate any methods which we don't override to the real request object that got passed to us.
| `__getitem__(self, key)` (inherited from `PathReferenceContext`)
| `__setitem__(self, key, item)` (inherited from `PathReferenceContext`)
| ``acquire`(self, name, debug)` Look for an attribute or element by name in all of our parents
| ``childRef`(self, name)` Return a reference to the named child.
| ``diskPath`(self)` Return the path to me on disk.
| ``fullURL`(self, request)` Return the absolute URL to the resource.
| ``getIndex`(self)` Dereference this path reference object, then look for an object named 'index' inside of it and return it.
| `getObject(self)` (inherited from `PathReferenceContext`)
| ``locate`(self, name, debug)` Get a reference to an object with the given name which is somewhere on the path above us.
| ``parentRef`(self)` Return a reference to my parent.
| ``relativePath`(self, request)` Return the URL to the resource, relative to the current request object
| ``siblingRef`(self, name)` Return a reference to a sibling of mine.

Method Details

### __getattr__(self, name)
(Qualification operator)

We need to delegate any methods which we don't override to the real request object that got passed to us.

### acquire(self, name, debug=0)

Look for an attribute or element by name in all of our parents

### childRef(self, name)

Return a reference to the named child.

### diskPath(self)

Return the path to me on disk.

### fullURL(self, request)

Return the absolute URL to the resource.

### getIndex(self)

Dereference this path reference object, then look for an object named 'index' inside of it and return it.

### locate(self, name, debug=0)

Get a reference to an object with the given name which is somewhere on the path above us.

### parentRef(self)

Return a reference to my parent.

### relativePath(self, request)

Return the URL to the resource, relative to the current request object

### siblingRef(self, name)

Return a reference to a sibling of mine.

Generated by Epydoc 1.1 on Thu May 8 13:16:55 2003 | http://epydoc.sf.net